
 LinHES - Bug # 947: Mythfrontend hangs on exit in R8.0

Status: Closed Priority: Normal
Author: rsay Category: Packages: Core
Created: 11/30/2013 Assignee:
Updated: 11/30/2013 Due date:
Description: Many times (but not always) when I exit the front end, I get a hang and the mythwelcome screen doesn't come 

up. I have to kill the frontend manually from the command line. I think my situation matches mythtv bug 
#11194. [[http://code.mythtv.org/trac/ticket/11194]] which was fixed in changeset e1773c2cf7  
[[http://code.mythtv.org/trac/changeset/e1773c2cf7bb38dc08ffa3a134602c8b173f6c9d/mythtv]] 

I'm not sure if this patch can be applied to the LinHes build or if I should just wait it out until the Linhes 
frontend version gets upgraded down the road. 

I have attached the output from the frontend when a hang occurred.

History
11/30/2013 08:07 am - jams
If you do not use airplay , it can be disabled in /etc/profile.d/LinHES-profile.sh
Set MYTHTV_AIRPLAY=0

Otherwise .27 is in the testing repo, but there are still some minor things we are looking at fixing for 8.1

11/30/2013 08:53 am - brfransen
- Target version set to 8.1

- Status changed from New to Closed

- Category set to Packages: Core

As jams said this is fixed in .27.

11/30/2013 09:13 am - rsay
Changing the environment variable in LinHES-profile.sh doesn't change the behavior. Strangely, the output stays exactly the same. I had already tried 
to manually set the MYTHTV_AIRPLAY environment variable to 0 in the terminal without success, which I should have mentioned. I also confirmed that 
it was properly set with echo $MYTHTV_AIRPLAY, which returned 0, before starting the frontend. 

I will need to make sure I have a clean upgrade path to 0.27 for my other 3 frontends, before I can switch to testing. I run one on mint debian, one on 
LinHES 7.4 and one on mythbuntu for a variety of historical and practical reasons.

Files
exit_bug.log 7.9 kB 11/30/2013 rsay

04/30/2025 1/1


